summaryrefslogtreecommitdiffstats
path: root/system/ded
diff options
context:
space:
mode:
author B. Watson <yalhcru@gmail.com>2014-02-13 11:31:19 +0700
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2014-02-13 11:31:19 +0700
commitf6d1c0a572dd8ad63f9fe971f0272e2c1e8f019c (patch)
tree6811937826a2d9b48038c8faae2351009c757303 /system/ded
parent52f30996b7ac7516a3c5aee14b7f08b382f07de1 (diff)
downloadslackbuilds-f6d1c0a572dd8ad63f9fe971f0272e2c1e8f019c.tar.gz
slackbuilds-f6d1c0a572dd8ad63f9fe971f0272e2c1e8f019c.tar.xz
system/ded: Added (directory editor).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'system/ded')
-rw-r--r--system/ded/README12
-rw-r--r--system/ded/ded.SlackBuild124
-rw-r--r--system/ded/ded.info12
-rw-r--r--system/ded/slack-desc19
4 files changed, 167 insertions, 0 deletions
diff --git a/system/ded/README b/system/ded/README
new file mode 100644
index 0000000000..0cf4718d3f
--- /dev/null
+++ b/system/ded/README
@@ -0,0 +1,12 @@
+ded (directory editor)
+
+ded (pronounced "dee–eee–dee") allows you to navigate through multiple
+file lists or a directory tree, viewing or changing file attributes
+rapidly. In addition to conventional file information, it operates on
+the file's RCS or SCCS archives (or CVS or SVN, etc), making it useful
+for source-control as well as system administration. Curses-based,
+it runs on UNIX systems.
+
+For those unfamiliar with ded, it's vaguely similar to Midnight Commander,
+or dired mode in Emacs, but with vi-like key bindings. Press h while
+ded is running to see its help screen.
diff --git a/system/ded/ded.SlackBuild b/system/ded/ded.SlackBuild
new file mode 100644
index 0000000000..d5e9f3be4e
--- /dev/null
+++ b/system/ded/ded.SlackBuild
@@ -0,0 +1,124 @@
+#!/bin/sh
+
+# Slackware build script for ded
+
+# Written by B. Watson (yalhcru@gmail.com)
+
+# Licensed under the WTFPL. See http://www.wtfpl.net/txt/copying/ for details.
+
+# At one time, there was a ded package on slackbuilds.org, for Slack 12.2.
+# This build script was written from scratch for 14.1, without referring
+# to the old script.
+
+PRGNAM=ded
+VERSION=${VERSION:-20131205}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+# not going to make td_lib a separate package. If anyone's packaging up any
+# of the (very few) apps that use td_lib, let them list ded as a dependency.
+LIBNAM=td_lib
+LIBVER=${LIBVER:-$VERSION}
+
+# build everything here so it's easy to clean up after
+BUILDDIR=$TMP/$PRGNAM-build
+
+rm -rf $PKG $BUILDDIR
+mkdir -p $BUILDDIR $PKG $OUTPUT
+
+cd $BUILDDIR
+rm -rf $LIBNAM-$LIBVER
+tar xvf $CWD/$LIBNAM-$LIBVER.tgz
+cd $LIBNAM-$LIBVER
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+# NB: the -j1's are necessary, even on 'make install'.
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --build=$ARCH-slackware-linux
+
+make -j1
+
+# actually, don't really need to make install, ded's configure will find
+# the static lib just fine, but there do exist other apps that use td_lib
+# so we'll include it in the package too. Upstream doesn't let us build
+# it as a shared lib.
+make -j1 install DESTDIR=$PKG
+
+cd $BUILDDIR
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tgz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --build=$ARCH-slackware-linux
+
+make -j1
+make -j1 install DESTDIR=$PKG
+
+strip $PKG/usr/bin/$PRGNAM
+gzip -9 $PKG/usr/man/man1/$PRGNAM.1
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a CHANGES COPYING README $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/system/ded/ded.info b/system/ded/ded.info
new file mode 100644
index 0000000000..dbc453b9d1
--- /dev/null
+++ b/system/ded/ded.info
@@ -0,0 +1,12 @@
+PRGNAM="ded"
+VERSION="20131205"
+HOMEPAGE="http://invisible-island.net/ded/"
+DOWNLOAD="ftp://invisible-island.net/ded/ded-20131205.tgz
+ ftp://invisible-island.net/ded/td_lib-20131205.tgz"
+MD5SUM="6a6c70cd356be36251d977efe2e97245
+ f16c323c1e072b21ac829f2ae5a93cf0"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="B. Watson"
+EMAIL="yalhcru@gmail.com"
diff --git a/system/ded/slack-desc b/system/ded/slack-desc
new file mode 100644
index 0000000000..9409c17fec
--- /dev/null
+++ b/system/ded/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+ded: ded (directory editor)
+ded:
+ded: ded (pronounced "dee–eee–dee") allows you to navigate through
+ded: multiple file lists or a directory tree, viewing or changing file
+ded: attributes rapidly. In addition to conventional file information,
+ded: it operates on the file's RCS or SCCS archives (or CVS or SVN,
+ded: etc), making it useful for source-control as well as system
+ded: administration. Curses-based, it runs on UNIX systems.
+ded:
+ded:
+ded: